Bug 60559 - [Semi-Maintainer Update] MySQL related ports
Summary: [Semi-Maintainer Update] MySQL related ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-25 14:00 UTC by Alex Dupre
Modified: 2004-02-04 16:03 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Dupre 2003-12-25 14:00:35 UTC
Add CONFLICTS sections, fix packages dependencies, add mysql 5 port.

In details:

bsd.port.mk.diff : add support for mysql 5 (change version detection method)

mysql323-server.diff,
mysql40-server.diff : add CONFLICTS, fix dependencies

mysql41-client.diff : cosmetic fix (portlint clean)

mysql41-server.diff : add CONFLICTS, fix dependencies, correct typo in master
                      sites, fix non-optimized build

mysql50-client.diff,
mysql50-server.diff : new mysql 5.0 ports, requirase repo-copy of
                      mysql41-{client|server}, diff based on actual versions

p5-DBD-mysql.diff : add CONFLICTS, make a MASTER port, use USE_MYSQL

p5-DBD-mysqls.shar : new SLAVE ports of p5-DBD-mysql for mysql40/41/50

p5-Mysql.diff :  add CONFLICTS, use USE_MYSQL

If needed (due to portmgr approval and repo-copy), the bsd.port.mk patch and
mysql 5 related ports (mysql50-client, mysql50-server, p5-DBD-mysql50) may be
committed at a later stage, after the others patches.

Merry Christmas!

Fix: 

Fetch it from http://www.gufi.org/~alex/mysql.tar.gz
Comment 1 Mark Linimon 2003-12-25 17:32:59 UTC
Slightly related quetion: if you are actively working with
mysql323, would you object to taking on its maintainership?
Recently it was reset to ports@FreeBSD.org due to the
previous maintainer having taken a sabbatical.  This is a
fairly widely-used port not to have a maintainer.
Comment 2 Alex Dupre 2003-12-26 13:38:53 UTC
Mark Linimon wrote:
> Slightly related quetion: if you are actively working with
> mysql323, would you object to taking on its maintainership?

I don't work actively with mysql 3.23, but I can take the 
maintainership. MySQL 3.23.58 probably will be the last 3.23 release, so 
it shouldn't be a hard work to maintain that port...and since I maintain 
the other three major versions, there is no problem :)

--
Alex Dupre
Comment 3 Norikatsu Shigemura freebsd_committer 2003-12-26 14:06:23 UTC
State Changed
From-To: open->analyzed

I'll handle this.  Holiday! Holiday! Holiday  I'll work well(maybe). 


Comment 4 Norikatsu Shigemura freebsd_committer 2003-12-26 14:06:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nork

I'll handle this and request to repocopy.
Comment 5 Norikatsu Shigemura freebsd_committer 2003-12-26 18:23:55 UTC
State Changed
From-To: analyzed->suspended

I'm waiting for repocopy. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=60559 

(Added to audit log by linimon):

As of 12/27/2003, Alex has now been officially "volunteered" as
maintainer of mysql323-(server|client).
Comment 6 Norikatsu Shigemura freebsd_committer 2004-01-16 08:03:32 UTC
Responsible Changed
From-To: nork->ale

Over to maintainer.
Comment 7 Joe Marcus Clarke freebsd_committer 2004-01-31 07:18:52 UTC
State Changed
From-To: suspended->analyzed

This is currently being tested on bento.
Comment 8 Alex Dupre freebsd_committer 2004-02-04 16:03:22 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!